: Class BorderPanel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class BorderPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.w3c.tools.widgets.BorderPanel

Direct Known Subclasses:
  LabelCheckbox, ListEditor, StringChoice

public class BorderPanel
extends java.awt.Panel

A Panel with a border (SOLID, RAISED, LOWERED, IN or OUT)

See Also:
  Serialized Form

Field Summary
`static int` | `IN`
`protected java.awt.Insets` | `insets`
`static int` | `LOWERED`
`static int` | `OUT`
`static int` | `RAISED`
`static int` | `SOLID`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`BorderPanel(int type)` Constructor.
`BorderPanel(int type, int thickness)` Constructor.

Method Summary
`java.awt.Insets` | `getInsets()`
`void` | `paint(java.awt.Graphics graphics)` Paint the border (if any), and then, paint the components.
`void` | `setInsets(java.awt.Insets insets)`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOLID

    public static final int SOLID

### RAISED

    public static final int RAISED

### LOWERED

    public static final int LOWERED

### IN

    public static final int IN

### OUT

    public static final int OUT

### insets

    protected java.awt.Insets insets

Constructor Detail

### BorderPanel

    public BorderPanel(int type,
                       int thickness)

  Constructor.
  Parameters:
    `type` - The border type (SOLID, RAISED, LOWERED, IN or OUT)
    `thickness` - The border thickness.

### BorderPanel

    public BorderPanel(int type)

  Constructor.
  Parameters:
    `type` - The border type (SOLID, RAISED, LOWERED, IN or OUT)

Method Detail

### paint

    public void paint(java.awt.Graphics graphics)

  Paint the border (if any), and then, paint the components.
  Overrides:
    paint in class java.awt.Container
  Parameters:
    `graphics` - the specified Graphics window

### getInsets

    public java.awt.Insets getInsets()

  Overrides:
    getInsets in class java.awt.Container

### setInsets

    public void setInsets(java.awt.Insets insets)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD